c***********************************************************************
      function lsurface ( numlev, pres, psurf, plow, phigh )
      integer  lsurface
c***********************************************************************
c
c        Routine to find the pointer to the bottom of atmosphere.
c
c     Programmer :   Sung-Yung Lee @ NASA-JPL     June 26, 1992
c     Revised by :   D Gregorich @ CIT          January 4, 1994
c
c***********************************************************************
      real     pres(*)
c***********************************************************************
c***********************************************************************
c
c                                The bottom layer is at least 1 mb thick
c
      if ( psurf .gt. plow .and. psurf .le. phigh ) then
         do l = numlev, 1, -1
            if ( psurf .ge. pres(l-1)+1.0 ) then
               lsurface = l
               return
            end if
         end do
      end if
c
c                                  Surface pressure between plow, phigh
c
      print *, 'lsurface:   ERROR,', pres(1), psurf
      lsurface = 0
      return
      end
